<ul class="pagination justify-content-md-center" ng-if="1 < pages.length">
  <li ng-if="boundaryLinks" class="page-item" ng-class="{ disabled : pagination.current == 1 }">
    <a href="" class="page-link" ng-click="setCurrent(1)" title="Home"><i class="bi bi-chevron-bar-left"></i></a>
  </li>
  <li ng-if="directionLinks" ng-class="{ disabled : pagination.current == 1 }" class="page-item ng-scope">
    <a href="" ng-click="setCurrent(pagination.current - 1)" title="Prev" class="page-link ng-binding">
      <i class="bi bi-chevron-left"></i>
    </a>
  </li>
  <li ng-repeat="pageNumber in pages track by $index" class="page-item" ng-class="{ active : pagination.current == pageNumber, disabled : pageNumber == '...' }">
    <a href="" class="page-link" ng-click="setCurrent(pageNumber)">{{ pageNumber }}</a>
  </li>  
  <li ng-if="directionLinks" ng-class="{ disabled : pagination.current == pagination.last }" class="page-item ng-scope">
    <a href="" ng-click="setCurrent(pagination.current + 1)" title="Next" class="page-link ng-binding">
      <i class="bi bi-chevron-right"></i>
    </a>
  </li>
  <li ng-if="boundaryLinks" class="page-item"  ng-class="{ disabled : pagination.current == pagination.last }">
    <a href="" class="page-link" title="Last" ng-click="setCurrent(pagination.last)"><i class="bi bi-chevron-bar-right"></i></a>
  </li>
</ul>